Commit 97f96252 by William Tisäter

Replace Makefile with bash script

parent 54636b7d
PANDOC := $(shell which pandoc)
VIRTUALENV := $(shell which virtualenv)
ifeq ($(PANDOC),)
$(warning No pandoc binary found)
endif
ifeq ($(VIRTUALENV),)
$(warning No virtualenv binary found)
endif
all: deps test doc
venv:
@virtualenv venv
@venv/bin/pip install tox nose epydoc
test: venv
@venv/bin/tox
doc: venv
@venv/bin/epydoc --config=epydoc.ini --no-private
@pandoc --from=markdown --to=rst --output=README.rst README.md
#!/bin/bash
function error {
echo "Error: $1" 1>&2
exit 1
}
if [ -z $(which pandoc) ]; then
error "Missing pandoc binary"
fi
if [ -z $(which virtualenv) ]; then
error "Missing virtualenv binary"
fi
if [ ! -d venv ]; then
virtualenv venv || error "virtualenv failed"
venv/bin/pip install tox nose epydoc || error "pip failed"
fi
venv/bin/tox || error "tox failed"
venv/bin/epydoc --config=epydoc.ini --no-private || error "epydoc failed"
pandoc -f markdown -t rst -o README.rst README.md || error "pandoc failed"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment